clear

%% set parameters
run("./cr_circuit.m")
run("./state_eq.m")

sample=0.01;

%% execute simulation
o=1;
m=2;
h=6;
sim('dq_1ope');

target_v=horzcat(target_v.time,target_v.signals.values);
dq_v=horzcat(dq_v.time,dq_v.signals.values);
notdq_v=horzcat(notdq_v.time,notdq_v.signals.values);

demand = horzcat(demand_logic.time,demand_logic.signals.values);
signal=horzcat(signal.time,signal.signals.values);
real=horzcat(real.time,real.signals.values(:));

diff_notdq=horzcat(diff_notdq.time,diff_notdq.signals.values);
diff_dq=horzcat(diff_dq.time,diff_dq.signals.values);

csvwrite('target_v.csv',target_v);
csvwrite('dq_v.csv',dq_v);
csvwrite('notdq_v.csv',notdq_v);
csvwrite('demand_logic.csv',demand);
csvwrite('signal.csv',signal);
csvwrite('real.csv',real);
csvwrite('diff_notdq.csv',diff_notdq);
csvwrite('diff_dq.csv',diff_dq);
