# 端末でgnuplot sample.gpと入力すればepsでグラフを出力
# 参考になるHP->http://www.ss.scphys.kyoto-u.ac.jp/person/yonezawa/contents/program/gnuplot/index.html
set datafile separator "," #csvファイルからプロットするのに必要
set term post eps enhanced color size 3,2 font "Times-Roman, 20" #出力ファイル形式, 全体のサイズ, フォントを指定

set size 1,0.9
#線のスタイルを指定
set linestyle 1 lw 2 lt 1 lc rgb "blue" 
set linestyle 2 lw 2 lt 1 lc rgb "red"
set linestyle 3 lw 2 lt 1 lc rgb "black" 

set xtics offset 0,0.3

set ytics offset 0.5,0

set output 'target.eps' #出力ファイル名(gpファイルと同じ名前を付けることを推奨)
#set multiplot layout 2,1


#set xrange[0:0.1] #xの範囲設定
# set yrange[0:11]
set key right bottom			    #凡例の位置設定
set xlabel "{/Times-Italic t}" offset 0,0.8 #Times-Italicで斜体に変更offsetで位置調整可能
set ylabel "{/Times-Italic V}" offset 0.55,0
plot "./notdq_v.csv" using 1:2 with steps ls 1 title "Without algorithm",\
     "./dq_v.csv" using 1:2 with steps ls 2 title "With algorithm",\
     "./target_v.csv" using 1:2 with steps ls 3 title "Ideal",\
     # "target_v" using 4:5 with steps ls 2 title "output",\
      #"in_s" using 1:4 with steps ls 3 title "Selector",\

# set ylabel "{/Times-Italic E}_c / V" offset 0.55,0
# plot "A.csv" using 1:4 every 10 ls 1 title "A.csv",\
#      "B.csv" using 1:4 every 10 ls 2 title "B.csv"
