cl=4700*10^(-6); %%c_load
c1=4700*10^(-6); %%c_router
s=16*10^(-3)+16*10^(-3)*0.01/(16*10^(-3)+0.01) ;%%switch resistance
z=1500; %%resistance_router
l=10; %%resistance_load
tb=4*10^(-6); %%1bit
bit=100;%0start
t98=tb*bit; %%1packet
sample=t98*20
o=1
logic=1;
capacitor=16.9;

%%probability
p=1/2;
p_1=1/2;%target
p_2=1/2;
p_3=1/2;

m2=3
m2_1=2;%real input
m2_2=3;
m2_3=4;

%%seed
h=3;
h_1=3;%target
h_2=3;
h_3=3;

h2=15
h2_1=5;%real input
h2_2=15;
h2_3=7;


V_rc1=20;
V_rc2=20;
V_rc3=20;
%%4state eq.
A1=[(1/(s/z+2)-2)*1/(s*c1) 1/(s*c1); %%1/1
    1/(s*cl) -(1+s/l)*1/(s*cl)];
B1=[1/(s/z+2)*1/(s*c1);
    0];
A2=[-1/(s*c1) 1/(s*c1); %%0/1
    1/(s*cl) -(1+s/l)*1/(s*cl)];
B2=[0;
    0];
A3=[-(1+s/z)/(s*c1*(s/z+2)) 0; %%1/0
    0 -1/(l*cl)];
B3=[1/(s*c1*(s/z+2));
    0];
A4=[0 0; %%0/0
    0 -1/(l*cl)];
B4=[0;
    0];
C=[0 1];
C2=[1 0];
Vth=19.5;
Vth1=19.5;
Vth2=19.5;
Vth3=19.5;


Ve=-1;
V_i=1*10^(-3);

Ac=[-(1+s/z)/(c1*(2*s+s^2/z)) -1/(z*c1)+(1+s/z)^2/(c1*(2*s+s^2/z));
    1/(cl*(2*s+s^2/z)) -(1+s/z)/(cl*(2*s+s^2/z))];
Bc=[0;
    0];
Cc=[0 1];

%%(k)=>(k+1)

xi_r1_0=[18; 15]; %%real_initial
xi_r0_0=[18 ;15]; %%real_initial

xi_l_0=[18; 15] ;%%ideal_initial
E=20; %%source

%% payload eq.
syms x
fun=expm(A1*x);
eB1=int(fun,0,t98)*B1;
eB1=double(eB1);
eA1=expm(A1*t98);
syms x
fun=expm(A2*x);
eB2=int(fun,0,t98)*B2;
eB2=double(eB2);
eA2=expm(A2*t98);
syms x
fun=expm(A3*x);
eB3=int(fun,0,t98)*B3;
eB3=double(eB3);
eA3=expm(A3*t98);
syms x
fun=expm(A4*x);
eB4=int(fun,0,t98)*B4;
eB4=double(eB4);
eA4=expm(A4*t98);

%% footer eq.
syms x
fun=expm(A4*x);
eBf4=int(fun,0,tb)*B4;
eBf4=double(eBf4);
eAf4=expm(A4*tb);
%% c-c connection
syms x
fun=expm(Ac*x);
eBc=int(fun,0,t98)*Bc;
eBc=double(eBc);
eAc=expm(Ac*t98);

%%
Ck=[c1 0;0 cl]; %matrix of c
L=[0 0;0 1/l];

i=(Ck*A1+L)*(eA1*xi_l_0+eB1*E)+Ck*B1*E;

%% accumulation of error
syms x k
fun=expm(A1*x);
seB1=int(fun,0,k)*B1;
seB1=int(seB1,0,t98);
seB1=double(seB1);
seA1=expm(A1*k);
seA1=int(seA1,0,t98);
seA1=double(seA1);

syms x k
fun=expm(A2*x);
seB2=int(fun,0,k)*B2;
seB2=int(seB2,0,t98);
seB2=double(seB2);
seA2=expm(A2*k);
seA2=int(seA2,0,t98);
seA2=double(seA2);

syms x k
fun=expm(A3*x);
seB3=int(fun,0,k)*B3;
seB3=int(seB3,0,t98);
seB3=double(seB3);
seA3=expm(A3*k);
seA3=int(seA3,0,t98);
seA3=double(seA3);

syms x k
fun=expm(A4*x);
seB4=int(fun,0,k)*B4;
seB4=int(seB4,0,t98);
seB4=double(seB4);
seA4=expm(A4*k);
seA4=int(seA4,0,t98);
seA4=double(seA4);

%%easy to sight
sA1=C*(seA1*xi_r1_0+seB1*E)*10000;
sA2=C*(seA2*xi_r1_0+seB2*E)*10000;
sA3=C*(seA3*xi_r1_0+seB3*E)*10000;
sA4=C*(seA4*xi_r1_0+seB4*E)*10000;

xi_r1_1=(eA1*xi_r1_0+eB1*E);
sA11=C*(seA1*xi_r1_1+seB1*E)*10000;

xi_r3_1=(eA3*xi_r1_0+eB3*E);
sA31=C*(seA3*xi_r1_1+seB3*E)*10000;
