set datafile separator ","
set term post eps enhanced color size 6,2 font "Times-Roman, 20"

set linestyle 1 lw 2 lt 1 lc rgb "blue"


set xtics offset 0,0.3
set ytics offset 0.5,0
set ytics (0,1)
set xrange[0:0.004]
set yrange[0:1.1]
set key right below
set xlabel "{/Times-Italic t}" offset 0,0.8
set ylabel "{/Times-Roman Logic}" offset 0.55,0

set output 'demand.eps'
plot "./demand_logic.csv" using 1:2 with steps ls 1 title ""

set output 'input.eps'
plot "./real.csv" using 1:2 with steps ls 1 title ""

set output 'output.eps'
plot "./signal.csv" using 1:2 with steps ls 1 title ""

